UI::Util::Http::Header Class Reference

Array of header fields. More...

`#include <Header.hpp>`

Inheritance diagram for UI::Util::Http::Header:
Collaboration diagram for UI::Util::Http::Header:

## Public Member Functions

const_iterator | find (std::string const &name) const
bool | exists (std::string const &name) const
std::string const & | get (std::string const &name, bool doThrow=true) const
template<typename I>
I | get (std::string const &name, bool doThrow=true) const
Header & | add (std::string const &key, std::string const &value)
Header & | add (std::string const &line)
Header | getMulti (std::string const &name) const
Header | getPrefix (std::string const &prefix) const
std::string | get () const
| Get composition.

## Detailed Description

Array of header fields.

The documentation for this class was generated from the following files:

- Header.hpp
- Header.cpp